org.apache.tapestry5.internal.transform

## Class UnclaimedFieldWorker

- java.lang.Object
- - org.apache.tapestry5.internal.transform.UnclaimedFieldWorker

- All Implemented Interfaces:
    ComponentClassTransformWorker2

      public final class UnclaimedFieldWorker
      extends java.lang.Object
      implements ComponentClassTransformWorker2

  Designed to be just about the last worker in the pipeline. Its job is to convert each otherwise unclaimed field into a value stored in the `PerthreadManager`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnclaimedFieldWorker(ComponentClassCache classCache, PerthreadManager perThreadManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `transform(PlasticClass plasticClass, TransformationSupport support, MutableComponentModel model)` Invoked to perform part of the transformation of the `PlasticClass`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnclaimedFieldWorker

          public UnclaimedFieldWorker(ComponentClassCache classCache,
                                      PerthreadManager perThreadManager)

  - ### Method Detail

    - #### transform

          public void transform(PlasticClass plasticClass,
                                TransformationSupport support,
                                MutableComponentModel model)

      Description copied from interface: `ComponentClassTransformWorker2`
      Invoked to perform part of the transformation of the `PlasticClass`.
      Specified by:
        `transform` in interface `ComponentClassTransformWorker2`
      Parameters:
        `plasticClass` - component class being transformed
        `support` - additional utilities needed during the transformation
        `model` - the model for the component being transformed

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.